API referenceOrders
POST /v{version.ApiVersion}/orders
POST
/v{version.ApiVersion}/orderscurl -X POST "/v{version.ApiVersion}/orders" \
-H "Content-Type: application/json" \
-d '{
"reference": "string",
"date": "2026-01-15T09:30:00Z",
"salesManUserName": "string",
"status": "string",
"origin": {
"code": "string"
},
"customer": {
"id": 0,
"number": "string",
"gender": "string",
"title": "string",
"initials": "string",
"firstName": "string",
"infix": "string",
"lastName": "string",
"companyName": "string",
"phoneNumber": "string",
"mobileNumber": "string",
"email": "string",
"remark": "string",
"address": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"phoneNumber": "string"
},
"invoiceAddress": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"phoneNumber": "string"
},
"deliveryAddress": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"phoneNumber": "string"
},
"paymentCondition": "string",
"newsLetter": true,
"cocNumber": "string",
"vatNumber": "string",
"birthDate": "string"
},
"delivery": {
"type": "string",
"condition": "string",
"expectedDate": "2026-01-15T09:30:00Z",
"address": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"country": "string",
"phoneNumber": "string"
}
},
"webshop": {
"number": "string",
"url": "string"
},
"externNumber": "string",
"paymentCondition": "string",
"payments": [
{
"amount": 0,
"type": "string",
"method": "string"
}
],
"comment": {
"intern": "string",
"extern": "string"
},
"lines": [
{
"lineNumber": 0,
"code": "string",
"description": "string",
"quantity": 0,
"partPrice": 0,
"basePartPrice": 0,
"discount": 0,
"comment": {
"intern": "string",
"extern": "string"
},
"configuration": {
"id": 0,
"items": [
{
"optionBarcode": "string",
"value": "string",
"valueBarcode": "string"
}
]
}
}
],
"customFields": [
{
"code": "string",
"name": "string",
"values": [
"string"
]
}
]
}'Parameters
allowUnknownProductsbooleanqueryStandaardwaarde:falseallowUnknownCustomerbooleanqueryStandaardwaarde:falseapi-versionstringquery
Body
application/json
referencestring | nulldatestring<date-time> | nullsalesManUserNamestring | nullstatusstring | nulloriginCodeRequestcustomerCustomerRequestdeliveryOrderDeliveryRequestwebshopOrderWebshopRequestexternNumberstring | nullpaymentConditionstring | nullpaymentsPaymentRequest[] | nullcommentOrderCommentRequestlinesOrderLineRequest[] | nullcustomFieldsEntityAttributeRequest[] | null
Respons
OK